Package org.eclipse.jface.dialogs

# Interface IDialogSettingsProvider

public interface IDialogSettingsProvider
Provides dialog settings without assumption on how the dialog settings should be saved or restored. This is up to the implementation of the interface.

Since:
  3.22
See Also:
  - `IDialogSettings`

## Method Summary

Modifier and Type
Method
Description
`IDialogSettings`
`getDialogSettings()`
`IDialogSettings`
`loadDialogSettings()`
Reloads the persisted dialog settings or provides a new `IDialogSettings` if there is no existing dialog settings.
`void`
`saveDialogSettings()`
Saves the dialog settings.

## Method Details

### loadDialogSettings

IDialogSettings loadDialogSettings()
Reloads the persisted dialog settings or provides a new `IDialogSettings` if there is no existing dialog settings.

Returns:
  an instance of `IDialogSettings`

### saveDialogSettings

void saveDialogSettings()
Saves the dialog settings.

### getDialogSettings

IDialogSettings getDialogSettings()

Returns:
  the dialog settings, never null.